<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_HapticCustom Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_HapticCustom Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure containing a template for the <a class="el" href="_s_d_l__haptic_8h.html#a8a18c4de1076ac9bebd718329d16db29" title="Custom effect is supported.">SDL_HAPTIC_CUSTOM</a> effect.  
 <a href="struct_s_d_l___haptic_custom.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_l__haptic_8h_source.html">SDL_haptic.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a98a8995c94492069dc007502ed97eed2"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a98a8995c94492069dc007502ed97eed2">type</a></td></tr>
<tr class="separator:a98a8995c94492069dc007502ed97eed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7eb84f59404d9e0da07570b4b57dd43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_s_d_l___haptic_direction.html">SDL_HapticDirection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#ad7eb84f59404d9e0da07570b4b57dd43">direction</a></td></tr>
<tr class="separator:ad7eb84f59404d9e0da07570b4b57dd43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70e8bc2cff74b99d704a757c16b363f"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#ad70e8bc2cff74b99d704a757c16b363f">length</a></td></tr>
<tr class="separator:ad70e8bc2cff74b99d704a757c16b363f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a094229466ff4cf695860db664100a2b0"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a094229466ff4cf695860db664100a2b0">delay</a></td></tr>
<tr class="separator:a094229466ff4cf695860db664100a2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4fbaf7220f3197aa6631b3e64ad6562"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#aa4fbaf7220f3197aa6631b3e64ad6562">button</a></td></tr>
<tr class="separator:aa4fbaf7220f3197aa6631b3e64ad6562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdeb26b1709254545e00a59a0a6c360c"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#afdeb26b1709254545e00a59a0a6c360c">interval</a></td></tr>
<tr class="separator:afdeb26b1709254545e00a59a0a6c360c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560215762e9096d583d75867d9227cf5"><td class="memItemLeft" align="right" valign="top">Uint8&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a560215762e9096d583d75867d9227cf5">channels</a></td></tr>
<tr class="separator:a560215762e9096d583d75867d9227cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba7fafa808e90baddef25f009b8f4817"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#aba7fafa808e90baddef25f009b8f4817">period</a></td></tr>
<tr class="separator:aba7fafa808e90baddef25f009b8f4817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5905ea1b6182da846535ca8c80b4fa33"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a5905ea1b6182da846535ca8c80b4fa33">samples</a></td></tr>
<tr class="separator:a5905ea1b6182da846535ca8c80b4fa33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5a034f97e1699eacbe3f478538537c5"><td class="memItemLeft" align="right" valign="top">Uint16 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#ad5a034f97e1699eacbe3f478538537c5">data</a></td></tr>
<tr class="separator:ad5a034f97e1699eacbe3f478538537c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018b35d89398c26e10d1fb4315d1dda1"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a018b35d89398c26e10d1fb4315d1dda1">attack_length</a></td></tr>
<tr class="separator:a018b35d89398c26e10d1fb4315d1dda1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e394e3775372af3eb9e02823987405"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#ad6e394e3775372af3eb9e02823987405">attack_level</a></td></tr>
<tr class="separator:ad6e394e3775372af3eb9e02823987405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab47fac94baeba28a3acd6c706e0b6a5c"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#ab47fac94baeba28a3acd6c706e0b6a5c">fade_length</a></td></tr>
<tr class="separator:ab47fac94baeba28a3acd6c706e0b6a5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73a522581eb514d032e500ec6294fe50"><td class="memItemLeft" align="right" valign="top">Uint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___haptic_custom.html#a73a522581eb514d032e500ec6294fe50">fade_level</a></td></tr>
<tr class="separator:a73a522581eb514d032e500ec6294fe50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure containing a template for the <a class="el" href="_s_d_l__haptic_8h.html#a8a18c4de1076ac9bebd718329d16db29" title="Custom effect is supported.">SDL_HAPTIC_CUSTOM</a> effect. </p>
<p>This struct is exclusively for the <a class="el" href="_s_d_l__haptic_8h.html#a8a18c4de1076ac9bebd718329d16db29" title="Custom effect is supported.">SDL_HAPTIC_CUSTOM</a> effect.</p>
<p>A custom force feedback effect is much like a periodic effect, where the application can define its exact shape. You will have to allocate the data yourself. Data should consist of channels * samples Uint16 samples.</p>
<p>If channels is one, the effect is rotated using the defined direction. Otherwise it uses the samples in data for the different axes.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="_s_d_l__haptic_8h.html#a8a18c4de1076ac9bebd718329d16db29" title="Custom effect is supported.">SDL_HAPTIC_CUSTOM</a> </dd>
<dd>
<a class="el" href="union_s_d_l___haptic_effect.html" title="The generic template for any haptic effect.">SDL_HapticEffect</a> </dd></dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a018b35d89398c26e10d1fb4315d1dda1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018b35d89398c26e10d1fb4315d1dda1">&#9670;&nbsp;</a></span>attack_length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::attack_length</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration of the attack. </p>

</div>
</div>
<a id="ad6e394e3775372af3eb9e02823987405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e394e3775372af3eb9e02823987405">&#9670;&nbsp;</a></span>attack_level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::attack_level</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Level at the start of the attack. </p>

</div>
</div>
<a id="aa4fbaf7220f3197aa6631b3e64ad6562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4fbaf7220f3197aa6631b3e64ad6562">&#9670;&nbsp;</a></span>button</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::button</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Button that triggers the effect. </p>

</div>
</div>
<a id="a560215762e9096d583d75867d9227cf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a560215762e9096d583d75867d9227cf5">&#9670;&nbsp;</a></span>channels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint8 SDL_HapticCustom::channels</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Axes to use, minimum of one. </p>

</div>
</div>
<a id="ad5a034f97e1699eacbe3f478538537c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5a034f97e1699eacbe3f478538537c5">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16* SDL_HapticCustom::data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Should contain channels*samples items. </p>

</div>
</div>
<a id="a094229466ff4cf695860db664100a2b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a094229466ff4cf695860db664100a2b0">&#9670;&nbsp;</a></span>delay</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::delay</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delay before starting the effect. </p>

</div>
</div>
<a id="ad7eb84f59404d9e0da07570b4b57dd43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7eb84f59404d9e0da07570b4b57dd43">&#9670;&nbsp;</a></span>direction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_s_d_l___haptic_direction.html">SDL_HapticDirection</a> SDL_HapticCustom::direction</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Direction of the effect. </p>

</div>
</div>
<a id="ab47fac94baeba28a3acd6c706e0b6a5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab47fac94baeba28a3acd6c706e0b6a5c">&#9670;&nbsp;</a></span>fade_length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::fade_length</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration of the fade. </p>

</div>
</div>
<a id="a73a522581eb514d032e500ec6294fe50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73a522581eb514d032e500ec6294fe50">&#9670;&nbsp;</a></span>fade_level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::fade_level</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Level at the end of the fade. </p>

</div>
</div>
<a id="afdeb26b1709254545e00a59a0a6c360c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdeb26b1709254545e00a59a0a6c360c">&#9670;&nbsp;</a></span>interval</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::interval</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>How soon it can be triggered again after button. </p>

</div>
</div>
<a id="ad70e8bc2cff74b99d704a757c16b363f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad70e8bc2cff74b99d704a757c16b363f">&#9670;&nbsp;</a></span>length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_HapticCustom::length</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration of the effect. </p>

</div>
</div>
<a id="aba7fafa808e90baddef25f009b8f4817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba7fafa808e90baddef25f009b8f4817">&#9670;&nbsp;</a></span>period</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::period</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sample periods. </p>

</div>
</div>
<a id="a5905ea1b6182da846535ca8c80b4fa33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5905ea1b6182da846535ca8c80b4fa33">&#9670;&nbsp;</a></span>samples</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::samples</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Amount of samples. </p>

</div>
</div>
<a id="a98a8995c94492069dc007502ed97eed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a8995c94492069dc007502ed97eed2">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint16 SDL_HapticCustom::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="_s_d_l__haptic_8h.html#a8a18c4de1076ac9bebd718329d16db29" title="Custom effect is supported.">SDL_HAPTIC_CUSTOM</a> </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__haptic_8h_source.html">SDL_haptic.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
